Bug 25960 - ias7xxx is not handling ultra or wide controller capabilities
ias7xxx is not handling ultra or wide controller capabilities
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-04 01:28 EST by Jaroslaw Sosnicki
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-05 17:57:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 2001-02-04 01:28:20 EST
I was able to access the drives on this system at 40MB synchronous when I
was using AIC7xxx v5.1.31/3.2.4 (RedHat 7.0)

Once I upgraded to Fisher Beta3 have a problem with AIC7xxx driver not
recognizing or setting up Ultra or Ultra Wide functionality.

Here is /var/log/messages from my system that is having the problem:

Feb  2 18:32:11 ns1 syslogd 1.4-0: restart.
Feb  2 18:32:11 ns1 syslog: syslogd startup succeeded
Feb  2 18:32:11 ns1 kernel: klogd 1.4-0, log source = /proc/kmsg started.
Feb  2 18:32:11 ns1 kernel: Inspecting /boot/System.map-2.4.0-0.99.11smp
Feb  2 18:32:11 ns1 syslog: klogd startup succeeded
Feb  2 18:32:12 ns1 portmap: portmap startup succeeded
Feb  2 18:32:12 ns1 kernel: Loaded 15479 symbols from
/boot/System.map-2.4.0-0.99.11smp.
Feb  2 18:32:12 ns1 kernel: Symbols match kernel version 2.4.0.
Feb  2 18:32:12 ns1 nfslock: rpc.statd startup succeeded
Feb  2 18:32:12 ns1 kernel: Loaded 386 symbols from 12 modules.
Feb  2 18:32:12 ns1 kernel: Linux version 2.4.0-0.99.11smp
(root@porky.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux
7.0)) #1 SMP Wed Jan 24 15:49:49 EST 2001
Feb  2 18:32:12 ns1 kernel: BIOS-provided physical RAM map:
Feb  2 18:32:12 ns1 kernel:  BIOS-e820: 000000000009fc00 @ 0000000000000000
(usable)
Feb  2 18:32:12 ns1 kernel:  BIOS-e820: 0000000007f00000 @ 0000000000100000
(usable)
Feb  2 18:32:12 ns1 kernel:  BIOS-e820: 0000000000180000 @ 00000000ffe80000
(reserved)
Feb  2 18:32:12 ns1 kernel:  BIOS-e820: 0000000000009000 @ 00000000fec00000
(reserved)
Feb  2 18:32:12 ns1 kernel: Scan SMP from c0000000 for 1024 bytes.
Feb  2 18:32:12 ns1 kernel: Scan SMP from c009fc00 for 1024 bytes.
Feb  2 18:32:12 ns1 kernel: Scan SMP from c00f0000 for 65536 bytes.
Feb  2 18:32:12 ns1 kernel: found SMP MP-table at 000f7ef0
Feb  2 18:32:12 ns1 kernel: hm, page 000f7000 reserved twice.
Feb  2 18:32:13 ns1 kernel: hm, page 000f8000 reserved twice.
Feb  2 18:32:13 ns1 kernel: hm, page 000f7000 reserved twice.
Feb  2 18:32:13 ns1 kernel: hm, page 000f8000 reserved twice.
Feb  2 18:32:13 ns1 kernel: On node 0 totalpages: 32768
Feb  2 18:32:13 ns1 kernel: zone(0): 4096 pages.
Feb  2 18:32:13 ns1 kernel: zone(1): 28672 pages.
Feb  2 18:32:13 ns1 kernel: zone(2): 0 pages.
Feb  2 18:32:13 ns1 kernel: Intel MultiProcessor Specification v1.4
Feb  2 18:32:13 ns1 kernel:     Virtual Wire compatibility mode.
Feb  2 18:32:13 ns1 kernel: OEM ID: INTEL    Product ID: PR440FX      APIC
at: 0xFEC08000
Feb  2 18:32:13 ns1 kernel: Processor #0 Pentium(tm) Pro APIC version 17
Feb  2 18:32:13 ns1 kernel:     Floating point unit present.
Feb  2 18:32:13 ns1 kernel:     Machine Exception supported.
Feb  2 18:32:13 ns1 kernel:     64 bit compare & exchange supported.
Feb  2 18:32:13 ns1 kernel:     Internal APIC present.
Feb  2 18:32:13 ns1 kernel:     SEP present.
Feb  2 18:32:13 ns1 kernel:     MTRR  present.
Feb  2 18:32:14 ns1 kernel:     PGE  present.
Feb  2 18:32:14 ns1 kernel:     MCA  present.
Feb  2 18:32:14 ns1 kernel:     CMOV  present.
Feb  2 18:32:14 ns1 kernel:     Bootup CPU
Feb  2 18:32:14 ns1 kernel: Processor #12 Pentium(tm) Pro APIC version 17
Feb  2 18:32:14 ns1 kernel:     Floating point unit present.
Feb  2 18:32:14 ns1 kernel:     Machine Exception supported.
Feb  2 18:32:14 ns1 kernel:     64 bit compare & exchange supported.
Feb  2 18:32:14 ns1 kernel:     Internal APIC present.
Feb  2 18:32:14 ns1 kernel:     SEP present.
Feb  2 18:32:14 ns1 kernel:     MTRR  present.
Feb  2 18:32:14 ns1 kernel:     PGE  present.
Feb  2 18:32:14 ns1 kernel:     MCA  present.
Feb  2 18:32:14 ns1 kernel:     CMOV  present.
Feb  2 18:32:14 ns1 kernel: Bus #0 is PCI   
Feb  2 18:32:14 ns1 kernel: Bus #18 is ISA   
Feb  2 18:32:14 ns1 kernel: I/O APIC #13 Version 17 at 0xFEC00000.
Feb  2 18:32:14 ns1 kernel: Int: type 3, pol 1, trig 1, bus 18, IRQ 00,
APIC ID d, APIC INT 00
Feb  2 18:32:14 ns1 automount[507]: starting automounter version 3.1.7,
path = /misc, maptype = file, mapname = /etc/auto.misc
Feb  2 18:32:14 ns1 autofs: autofs startup succeeded
Feb  2 18:32:14 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 01,
APIC ID d, APIC INT 01
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 03,
APIC ID d, APIC INT 03
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 04,
APIC ID d, APIC INT 04
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 05,
APIC ID d, APIC INT 05
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 06,
APIC ID d, APIC INT 06
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 07,
APIC ID d, APIC INT 07
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 08,
APIC ID d, APIC INT 08
Feb  2 18:32:15 ns1 random: Initializing random number generator: 
succeeded
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 09,
APIC ID d, APIC INT 09
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 0c,
APIC ID d, APIC INT 0c
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 0e,
APIC ID d, APIC INT 0e
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 0f,
APIC ID d, APIC INT 0f
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 3, trig 3, bus 0, IRQ 2c, APIC
ID d, APIC INT 10
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 3, trig 3, bus 0, IRQ 24, APIC
ID d, APIC INT 11
Feb  2 18:32:15 ns1 kernel: Int: type 0, pol 3, trig 3, bus 0, IRQ 18, APIC
ID d, APIC INT 12
Feb  2 18:32:16 ns1 kernel: Processors: 2
Feb  2 18:32:16 ns1 kernel: mapped APIC to ffffe000 (fec08000)
Feb  2 18:32:16 ns1 kernel: mapped IOAPIC to ffffd000 (fec00000)
Feb  2 18:32:16 ns1 kernel: Kernel command line: auto
BOOT_IMAGE=smp240-099.11 ro root=808
BOOT_FILE=/boot/vmlinuz-2.4.0-0.99.11smp
Feb  2 18:32:16 ns1 kernel: Initializing CPU#0
Feb  2 18:32:16 ns1 kernel: Detected 198.670 MHz processor.
Feb  2 18:32:16 ns1 kernel: Console: colour VGA+ 80x25
Feb  2 18:32:16 ns1 kernel: Calibrating delay loop... 396.49 BogoMIPS
Feb  2 18:32:16 ns1 kernel: Memory: 125880k/131072k available (1182k kernel
code, 4804k reserved, 451k data, 236k init, 0k highmem)
Feb  2 18:32:16 ns1 kernel: Dentry-cache hash table entries: 16384 (order:
5, 131072 bytes)
Feb  2 18:32:16 ns1 kernel: Buffer-cache hash table entries: 8192 (order:
3, 32768 bytes)
Feb  2 18:32:16 ns1 kernel: Page-cache hash table entries: 32768 (order: 5,
131072 bytes)
Feb  2 18:32:16 ns1 kernel: Inode-cache hash table entries: 8192 (order: 4,
65536 bytes)
Feb  2 18:32:16 ns1 netfs: Mounting other filesystems:  succeeded
Feb  2 18:32:16 ns1 kernel: VFS: Diskquotas version dquot_6.5.0 initialized
Feb  2 18:32:16 ns1 kernel: CPU: Before vendor init, caps: 0000fbff
00000000 00000000, vendor = 0
Feb  2 18:32:16 ns1 kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Feb  2 18:32:16 ns1 kernel: CPU: L2 cache: 256K
Feb  2 18:32:17 ns1 kernel: Intel machine check architecture supported.
Feb  2 18:32:17 ns1 kernel: Intel machine check reporting enabled on CPU#0.
Feb  2 18:32:17 ns1 kernel: CPU: After vendor init, caps: 0000fbff 00000000
00000000 00000000
Feb  2 18:32:17 ns1 kernel: CPU: After generic, caps: 0000fbff 00000000
00000000 00000000
Feb  2 18:32:17 ns1 kernel: CPU: Common caps: 0000fbff 00000000 00000000
00000000
Feb  2 18:32:17 ns1 kernel: Checking 'hlt' instruction... OK.
Feb  2 18:32:17 ns1 automount[507]: using kernel protocol version 3
Feb  2 18:32:18 ns1 kernel: POSIX conformance testing by UNIFIX
Feb  2 18:32:18 ns1 kernel: mtrr: v1.37 (20001109) Richard Gooch
(rgooch@atnf.csiro.au)
Feb  2 18:32:18 ns1 kernel: mtrr: detected mtrr type: Intel
Feb  2 18:32:18 ns1 kernel: CPU: Before vendor init, caps: 0000fbff
00000000 00000000, vendor = 0
Feb  2 18:32:18 ns1 identd: identd startup succeeded
Feb  2 18:32:18 ns1 kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Feb  2 18:32:18 ns1 kernel: CPU: L2 cache: 256K
Feb  2 18:32:18 ns1 kernel: Intel machine check reporting enabled on CPU#0.
Feb  2 18:32:18 ns1 kernel: CPU: After vendor init, caps: 0000fbff 00000000
00000000 00000000
Feb  2 18:32:18 ns1 kernel: CPU: After generic, caps: 0000fbff 00000000
00000000 00000000
Feb  2 18:32:18 ns1 kernel: CPU: Common caps: 0000fbff 00000000 00000000
00000000
Feb  2 18:32:18 ns1 kernel: CPU0: Intel Pentium Pro stepping 09
Feb  2 18:32:18 ns1 kernel: per-CPU timeslice cutoff: 733.84 usecs.
Feb  2 18:32:18 ns1 kernel: Getting VERSION: 40011
Feb  2 18:32:18 ns1 kernel: Getting VERSION: 40011
Feb  2 18:32:18 ns1 kernel: Getting ID: 0
Feb  2 18:32:18 ns1 kernel: Getting ID: f000000
Feb  2 18:32:19 ns1 kernel: Getting LVT0: 700
Feb  2 18:32:19 ns1 kernel: Getting LVT1: 400
Feb  2 18:32:19 ns1 kernel: enabled ExtINT on CPU#0
Feb  2 18:32:19 ns1 kernel: ESR value before enabling vector: 00000040
Feb  2 18:32:19 ns1 kernel: ESR value after enabling vector: 00000000
Feb  2 18:32:19 ns1 kernel: CPU present map: 1001
Feb  2 18:32:19 ns1 atd: atd startup succeeded
Feb  2 18:32:19 ns1 kernel: Booting processor 1/12 eip 2000
Feb  2 18:32:19 ns1 kernel: Setting warm reset code and vector.
Feb  2 18:32:19 ns1 kernel: 1.
Feb  2 18:32:19 ns1 kernel: 2.
Feb  2 18:32:19 ns1 kernel: 3.
Feb  2 18:32:19 ns1 kernel: Asserting INIT.
Feb  2 18:32:19 ns1 kernel: Waiting for send to finish...
Feb  2 18:32:19 ns1 kernel: +Deasserting INIT.
Feb  2 18:32:20 ns1 kernel: Waiting for send to finish...
Feb  2 18:32:20 ns1 kernel: +#startup loops: 2.
Feb  2 18:32:20 ns1 kernel: Sending STARTUP #1.
Feb  2 18:32:20 ns1 kernel: After apic_write.
Feb  2 18:32:20 ns1 kernel: Initializing CPU#1
Feb  2 18:32:20 ns1 kernel: CPU#1 (phys ID: 12) waiting for CALLOUT
Feb  2 18:32:20 ns1 kernel: Startup point 1.
Feb  2 18:32:20 ns1 kernel: Waiting for send to finish...
Feb  2 18:32:20 ns1 kernel: +Sending STARTUP #2.
Feb  2 18:32:20 ns1 kernel: After apic_write.
Feb  2 18:32:20 ns1 kernel: Startup point 1.
Feb  2 18:32:20 ns1 kernel: Waiting for send to finish...
Feb  2 18:32:20 ns1 kernel: +After Startup.
Feb  2 18:32:21 ns1 kernel: Before Callout 1.
Feb  2 18:32:21 ns1 kernel: After Callout 1.
Feb  2 18:32:21 ns1 kernel: CALLIN, before setup_local_APIC().
Feb  2 18:32:21 ns1 kernel: masked ExtINT on CPU#1
Feb  2 18:32:21 ns1 kernel: ESR value before enabling vector: 00000000
Feb  2 18:32:21 ns1 kernel: ESR value after enabling vector: 00000000
Feb  2 18:32:21 ns1 kernel: Calibrating delay loop... 396.49 BogoMIPS
Feb  2 18:32:21 ns1 kernel: Stack at about c1229fb8
Feb  2 18:32:22 ns1 kernel: CPU: Before vendor init, caps: 0000fbff
00000000 00000000, vendor = 0
Feb  2 18:32:22 ns1 kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Feb  2 18:32:22 ns1 kernel: CPU: L2 cache: 256K
Feb  2 18:32:22 ns1 named[581]: starting BIND 9.1.0 -u named
Feb  2 18:32:22 ns1 named: named startup succeeded
Feb  2 18:32:22 ns1 kernel: Intel machine check reporting enabled on CPU#1.
Feb  2 18:32:22 ns1 named[581]: using 2 CPUs
Feb  2 18:32:23 ns1 kernel: CPU: After vendor init, caps: 0000fbff 00000000
00000000 00000000
Feb  2 18:32:23 ns1 kernel: CPU: After generic, caps: 0000fbff 00000000
00000000 00000000
Feb  2 18:32:23 ns1 kernel: CPU: Common caps: 0000fbff 00000000 00000000
00000000
Feb  2 18:32:23 ns1 kernel: OK.
Feb  2 18:32:23 ns1 kernel: CPU1: Intel Pentium Pro stepping 09
Feb  2 18:32:23 ns1 kernel: CPU has booted.
Feb  2 18:32:23 ns1 kernel: Before bogomips.
Feb  2 18:32:23 ns1 kernel: Total of 2 processors activated (792.98
BogoMIPS).
Feb  2 18:32:23 ns1 kernel: Before bogocount - setting activated=1.
Feb  2 18:32:23 ns1 kernel: Boot done.
Feb  2 18:32:24 ns1 named[587]: loading configuration from
'/etc/named.conf'
Feb  2 18:32:24 ns1 kernel: ENABLING IO-APIC IRQs
Feb  2 18:32:24 ns1 kernel: ...changing IO-APIC physical APIC ID to 13 ...
ok.
Feb  2 18:32:24 ns1 kernel: Synchronizing Arb IDs.
Feb  2 18:32:25 ns1 named[587]: the default for the 'auth-nxdomain' option
is now 'no'
Feb  2 18:32:25 ns1 kernel: ..TIMER: vector=49 pin1=-1 pin2=0
Feb  2 18:32:25 ns1 kernel: ...trying to set up timer (IRQ0) through the
8259A ... 
Feb  2 18:32:25 ns1 modprobe: modprobe: Can't locate module net-pf-10
Feb  2 18:32:25 ns1 kernel: ..... (found pin 0) ...works.
Feb  2 18:32:25 ns1 named[587]: no IPv6 interfaces found
Feb  2 18:32:25 ns1 kernel: activating NMI Watchdog ... done.
Feb  2 18:32:25 ns1 named[587]: listening on IPv4 interface lo,
127.0.0.1#53
Feb  2 18:32:25 ns1 kernel: testing NMI watchdog ... OK.
Feb  2 18:32:25 ns1 named[587]: listening on IPv4 interface eth0,
24.1.209.46#53
Feb  2 18:32:25 ns1 kernel: testing the IO APIC.......................
Feb  2 18:32:25 ns1 named[587]: listening on IPv4 interface eth1,
192.168.0.1#53
Feb  2 18:32:25 ns1 kernel: 
Feb  2 18:32:26 ns1 kernel: .................................... done.
Feb  2 18:32:26 ns1 kernel: calibrating APIC timer ...
Feb  2 18:32:26 ns1 kernel: ..... CPU clock speed is 198.6643 MHz.
Feb  2 18:32:26 ns1 kernel: ..... host bus clock speed is 66.2211 MHz.
Feb  2 18:32:26 ns1 kernel: cpu: 0, clocks: 662211, slice: 220737
Feb  2 18:32:26 ns1 kernel:
CPU0<T0:662208,T1:441456,D:15,S:220737,C:662211>
Feb  2 18:32:26 ns1 kernel: cpu: 1, clocks: 662211, slice: 220737
Feb  2 18:32:26 ns1 kernel:
CPU1<T0:662208,T1:220720,D:14,S:220737,C:662211>
Feb  2 18:32:26 ns1 kernel: checking TSC synchronization across CPUs:
passed.
Feb  2 18:32:26 ns1 kernel: Setting commenced=1, go go go
Feb  2 18:32:26 ns1 kernel: PCI: PCI BIOS revision 2.10 entry at 0xfda11,
last bus=0
Feb  2 18:32:26 ns1 kernel: PCI: Using configuration type 1
Feb  2 18:32:26 ns1 kernel: PCI: Probing PCI hardware
Feb  2 18:32:26 ns1 kernel: PCI->APIC IRQ transform: (B0,I6,P0) -> 18
Feb  2 18:32:26 ns1 kernel: PCI->APIC IRQ transform: (B0,I9,P0) -> 17
Feb  2 18:32:26 ns1 kernel: PCI->APIC IRQ transform: (B0,I11,P0) -> 16
Feb  2 18:32:26 ns1 kernel: Limiting direct PCI/PCI transfers.
Feb  2 18:32:26 ns1 kernel: Activating ISA DMA hang workarounds.
Feb  2 18:32:26 ns1 kernel: isapnp: Scanning for Pnp cards...
Feb  2 18:32:26 ns1 kernel: isapnp: Card 'CS4236B Audio'
Feb  2 18:32:27 ns1 kernel: isapnp: 1 Plug & Play card detected total
Feb  2 18:32:27 ns1 kernel: Linux NET4.0 for Linux 2.4
Feb  2 18:32:27 ns1 kernel: Based upon Swansea University Computer Society
NET3.039
Feb  2 18:32:27 ns1 kernel: Initializing RT netlink socket
Feb  2 18:32:27 ns1 kernel: DMI 2.0 present.
Feb  2 18:32:27 ns1 kernel: 39 structures occupying 1266 bytes.
Feb  2 18:32:27 ns1 named[587]: running
Feb  2 18:32:27 ns1 kernel: DMI table at 0x000F999D.
Feb  2 18:32:28 ns1 kernel: BIOS Vendor: Intel Corp.
Feb  2 18:32:28 ns1 kernel: BIOS Version: 1.00.09.DI0 
Feb  2 18:32:28 ns1 kernel: BIOS Release: 08/28/98
Feb  2 18:32:28 ns1 kernel: Board Vendor: Intel Corporation.
Feb  2 18:32:28 ns1 kernel: Board Name: PR440FX.
Feb  2 18:32:28 ns1 kernel: Board Version: AA673289-508.
Feb  2 18:32:28 ns1 kernel: apm: BIOS not found.
Feb  2 18:32:28 ns1 kernel: Starting kswapd v1.8
Feb  2 18:32:28 ns1 kernel: pty: 256 Unix98 ptys configured
Feb  2 18:32:28 ns1 kernel: block: queued sectors max/low 83525kB/62644kB,
256 slots per queue
Feb  2 18:32:28 ns1 kernel: RAMDISK driver initialized: 16 RAM disks of
4096K size 1024 blocksize
Feb  2 18:32:29 ns1 kernel: Uniform Multi-Platform E-IDE driver Revision:
6.31
Feb  2 18:32:29 ns1 kernel: ide: Assuming 33MHz system bus speed for PIO
modes; override with idebus=xx
Feb  2 18:32:29 ns1 kernel: PIIX3: IDE controller on PCI bus 00 dev 39
Feb  2 18:32:29 ns1 kernel: PIIX3: chipset revision 0
Feb  2 18:32:29 ns1 kernel: PIIX3: not 100%% native mode: will probe irqs
later
Feb  2 18:32:29 ns1 kernel:     ide0: BM-DMA at 0xffa0-0xffa7, BIOS
settings: hda:DMA, hdb:pio
Feb  2 18:32:29 ns1 kernel:     ide1: BM-DMA at 0xffa8-0xffaf, BIOS
settings: hdc:pio, hdd:pio
Feb  2 18:32:29 ns1 kernel: hda: CD-ROM Drive/F5D, ATAPI CD/DVD-ROM drive
Feb  2 18:32:29 ns1 kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Feb  2 18:32:29 ns1 kernel: Floppy drive(s): fd0 is 1.44M
Feb  2 18:32:30 ns1 kernel: FDC 0 is a National Semiconductor PC87306
Feb  2 18:32:30 ns1 kernel: LVM version 0.9  by Heinz Mauelshagen 
(13/11/2000)
Feb  2 18:32:30 ns1 kernel: lvm -- Driver successfully initialized
Feb  2 18:32:30 ns1 kernel: RAMDISK: Compressed image found at block 0
Feb  2 18:32:30 ns1 kernel: Freeing initrd memory: 357k freed
Feb  2 18:32:30 ns1 kernel: Serial driver version 5.02 (2000-08-09) with
MANY_PORTS MULTIPORT SHARE_IRQ SERIAL_PCI ISAPNP enabled
Feb  2 18:32:30 ns1 kernel: ttyS00 at 0x03f8 (irq = 4) is a 16550A
Feb  2 18:32:30 ns1 kernel: ttyS01 at 0x02f8 (irq = 3) is a 16550A
Feb  2 18:32:30 ns1 kernel: Real Time Clock Driver v1.10d
Feb  2 18:32:30 ns1 kernel: atp.c:v1.09 8/9/2000 Donald Becker
<becker@scyld.com>
Feb  2 18:32:30 ns1 kernel:   http://www.scyld.com/network/atp.html
Feb  2 18:32:30 ns1 kernel: md driver 0.90.0 MAX_MD_DEVS=256,
MD_SB_DISKS=27
Feb  2 18:32:31 ns1 kernel: md.c: sizeof(mdp_super_t) = 4096
Feb  2 18:32:31 ns1 kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Feb  2 18:32:31 ns1 kernel: IP Protocols: ICMP, UDP, TCP, IGMP
Feb  2 18:32:31 ns1 kernel: IP: routing cache hash table of 1024 buckets,
8Kbytes
Feb  2 18:32:31 ns1 kernel: TCP: Hash tables configured (established 8192
bind 8192)
Feb  2 18:32:31 ns1 kernel: NET4: Unix domain sockets 1.0/SMP for Linux
NET4.0.
Feb  2 18:32:31 ns1 kernel: VFS: Mounted root (ext2 filesystem).
Feb  2 18:32:31 ns1 kernel: ACPI: System description tables not found
Feb  2 18:32:31 ns1 kernel: SCSI subsystem driver Revision: 1.00
Feb  2 18:32:32 ns1 kernel: kmod: failed to exec /sbin/modprobe -s -k
scsi_hostadapter, errno = 2
Feb  2 18:32:32 ns1 kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA
DRIVER, Rev 6.0.8 BETA
Feb  2 18:32:32 ns1 kernel:         <Adaptec aic7880 Ultra SCSI adapter>
Feb  2 18:32:32 ns1 kernel:         aic7880: Wide Channel A, SCSI Id=7,
16/255 SCBs
Feb  2 18:32:32 ns1 kernel: 
Feb  2 18:32:32 ns1 kernel: (scsi0:A:0): async, 16bit
Feb  2 18:32:32 ns1 kernel: (scsi0:A:0): synchronous at 20.0MHz, offset
0x8, 16bit
Feb  2 18:32:32 ns1 kernel:   Vendor: QUANTUM   Model: VIKING II 4.5WLS 
Rev: 4110
Feb  2 18:32:33 ns1 kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Feb  2 18:32:33 ns1 kernel: (scsi0:A:1): async, 16bit
Feb  2 18:32:33 ns1 kernel: (scsi0:A:1): synchronous at 20.0MHz, offset
0x8, 16bit
Feb  2 18:32:33 ns1 kernel:   Vendor: QUANTUM   Model: XP39100J         
Rev: LYK8
Feb  2 18:32:33 ns1 kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Feb  2 18:32:33 ns1 kernel: (scsi0:A:0): synchronous at 20.0MHz, offset
0x8, 16bit
Feb  2 18:32:33 ns1 kernel: scsi0:0:0:0: Tagged Queuing enabled.  Depth 254
Feb  2 18:32:33 ns1 kernel: (scsi0:A:1): synchronous at 20.0MHz, offset
0x8, 16bit
Feb  2 18:32:33 ns1 kernel: scsi0:0:1:0: Tagged Queuing enabled.  Depth 254
Feb  2 18:32:33 ns1 kernel: Attached scsi disk sda at scsi0, channel 0, id
0, lun 0
Feb  2 18:32:33 ns1 kernel: Attached scsi disk sdb at scsi0, channel 0, id
1, lun 0
Feb  2 18:32:33 ns1 kernel: SCSI device sda: 8910423 512-byte hdwr sectors
(4562 MB)
Feb  2 18:32:33 ns1 kernel: Partition check:
Feb  2 18:32:33 ns1 kernel:  sda: sda1 sda2 < sda5 sda6 sda7 sda8 sda9 >
Feb  2 18:32:33 ns1 kernel: SCSI device sdb: 17781520 512-byte hdwr sectors
(9104 MB)
Feb  2 18:32:33 ns1 kernel:  sdb: sdb1
Feb  2 18:32:33 ns1 kernel: VFS: Mounted root (ext2 filesystem) readonly.
Feb  2 18:32:34 ns1 kernel: change_root: old root has d_count=3
Feb  2 18:32:34 ns1 kernel: Trying to unmount old root ... okay
Feb  2 18:32:34 ns1 kernel: Freeing unused kernel memory: 236k freed
Feb  2 18:32:34 ns1 kernel: Adding Swap: 248968k swap-space (priority -1)
Feb  2 18:32:34 ns1 kernel: usb.c: registered new driver usbdevfs
Feb  2 18:32:34 ns1 kernel: usb.c: registered new driver hub
Feb  2 18:32:34 ns1 kernel: uhci.c: USB UHCI at I/O 0xff80, IRQ 11
Feb  2 18:32:34 ns1 kernel: usb.c: new USB bus registered, assigned bus
number 1
Feb  2 18:32:34 ns1 kernel: hub.c: USB hub found
Feb  2 18:32:34 ns1 kernel: hub.c: 2 ports detected
Feb  2 18:32:34 ns1 kernel: ad1848/cs4248 codec driver Copyright (C) by
Hannu Savolainen 1993-1996
Feb  2 18:32:35 ns1 kernel: cs4232: set synthio and synthirq to use the
wavefront facilities.
Feb  2 18:32:35 ns1 kernel: eepro100.c:v1.09j-t 9/29/99 Donald Becker
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html
Feb  2 18:32:35 ns1 kernel: eepro100.c: $Revision: 1.35 $ 2000/11/17
Modified by Andrey V. Savochkin <saw@saw.sw.com.sg> and others
Feb  2 18:32:35 ns1 kernel: eth0: Intel Corporation 82557 [Ethernet Pro
100], 00:A0:C9:55:B3:60, I/O at 0xff40, IRQ 18.
Feb  2 18:32:35 ns1 kernel:   Board assembly 645520-034, Physical
connectors present: RJ45
Feb  2 18:32:35 ns1 kernel:   Primary interface chip DP83840 PHY #1.
Feb  2 18:32:35 ns1 kernel:   DP83840 specific setup, setting register 23
to 8462.
Feb  2 18:32:35 ns1 kernel:   General self-test: passed.
Feb  2 18:32:35 ns1 kernel:   Serial sub-system self-test: passed.
Feb  2 18:32:35 ns1 kernel:   Internal registers self-test: passed.
Feb  2 18:32:36 ns1 kernel:   ROM checksum self-test: passed (0x49caa8d6).
Feb  2 18:32:36 ns1 kernel:   Receiver lock-up workaround activated.
Feb  2 18:32:36 ns1 kernel: Linux Tulip driver version 0.9.13a (January 20,
2001)
Feb  2 18:32:36 ns1 kernel: eth1: Lite-On 82c168 PNIC rev 32 at 0xf800,
00:A0:CC:56:09:72, IRQ 16.
Feb  2 18:32:36 ns1 kernel: eth1:  MII transceiver #1 config 3000 status
7829 advertising 01e1.
Feb  2 18:32:47 ns1 ntpdate[594]: can't find host time.nist.gov
Feb  2 18:32:47 ns1 ntpdate[594]: no servers can be used, exiting
Feb  2 18:32:48 ns1 ntpd[599]: ntpd 4.0.99k Sat Jan  6 05:14:38 EST 2001
(1)
Feb  2 18:32:48 ns1 ntpd: ntpd startup succeeded
Feb  2 18:32:48 ns1 ntpd[599]: precision = 6 usec
Feb  2 18:32:48 ns1 ntpd[599]: using kernel phase-lock loop 0040
Feb  2 18:32:48 ns1 ntpd[599]: frequency initialized 0.000 from
/etc/ntp/drift
Feb  2 18:32:48 ns1 ntpd[599]: using kernel phase-lock loop 0041
Feb  2 18:32:48 ns1 ntpd[599]: bind() fd 12, family 2, port 123, addr
224.0.1.1, in_classd=1 flags=0 fails: Address already in use
Feb  2 18:32:48 ns1 ntpd[599]: ...multicast address 224.0.1.1 using
wildcard socket
Feb  2 18:32:50 ns1 sshd: Starting sshd:  succeeded
Comment 1 Glen Foster 2001-02-05 17:57:39 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 2 Doug Ledford 2001-02-07 02:43:24 EST
This isn't a bug.  The kernel messages from the Adaptec driver are pretty clear
that the drive is operating at the expected 40MByte/s.

My driver had extra code in it to convert from transfer speed/width to transfer
rate.  Justin's driver prints out the transfer speed and width on the screen
instead.  In this case, 20MHz (note that it is 20 MHz, not MByte) and a width of
16bits (aka, 2 bytes) gives a total of 40MByte/s transfer rate.

Closing this bug out, it's not a bug.  Furthermore, if you look into the file
/proc/scsi/aic7xxx/? for Justin's controller, in there it will go ahead and
convert to transfer rate for you.

Note You need to log in before you can comment on or make changes to this bug.